Package org.eclipse.graphiti.features

## Interface IMoveShapeFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IMoveFeature`, `IMoveShape`, `IName`

All Known Implementing Classes:
  `AbstractMoveShapeFeature`, `DefaultMoveShapeFeature`, `MoveShapeFeatureForPattern`

    public interface IMoveShapeFeature
    extends IMoveShape, IMoveFeature

The Interface IMoveShapeFeature. Moving shapes means to change their coordinates or/and their parent.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.func.IMoveShape

`canMoveShape, moveShape`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`